pcl::PointXYZIEdge Struct Reference

Point cloud containing edge information. More...

`#include <pcl/2d/convolution.h>`

## Public Attributes

| PCL_ADD_POINT4D
float | magnitude
float | direction
float | magnitude_x
float | magnitude_y

## Detailed Description

Point cloud containing edge information.

Definition at line 48 of file convolution.h.

## Member Data Documentation

## direction

float pcl::PointXYZIEdge::direction

Definition at line 51 of file convolution.h.

## magnitude

float pcl::PointXYZIEdge::magnitude

Definition at line 50 of file convolution.h.

## magnitude_x

float pcl::PointXYZIEdge::magnitude_x

Definition at line 52 of file convolution.h.

## magnitude_y

float pcl::PointXYZIEdge::magnitude_y

Definition at line 53 of file convolution.h.

## PCL_ADD_POINT4D

pcl::PointXYZIEdge::PCL_ADD_POINT4D

Definition at line 49 of file convolution.h.

The documentation for this struct was generated from the following file:

- pcl/2d/convolution.h